% Script that loads the displacement map and carries out some
% pre-processing operations

close all
clear all

% Loading the DIC displacement map
MatDIC = importdata('0-42-42-1.csv');
MatDIC = MatDIC.data;


% Rotating the frame reference by 90 degrees (the DIC one is rotated by 90 
% degrees in the system used)
X_DIC = MatDIC(:,2);
Y_DIC = MatDIC(:,3);
value_DIC = MatDIC(:,5);
xyzDIC = [Y_DIC, -X_DIC, -value_DIC]; 
ptCloudDIC = pointCloud(xyzDIC);

% De-noise filters
ptCloudOut = pcdenoise(ptCloudDIC, 'NumNeighbors', 5, 'Threshold', 0.5);
%ptCloudOut = pcdenoise(ptCloudOut, 'NumNeighbors', 5, 'Threshold', 0.5);
ptCloudOut = pcdenoise(ptCloudOut, 'NumNeighbors', 5, 'Threshold', 0.1);


xyzDIC = ptCloudOut.Location;
limX_DIC = [min(xyzDIC(:,1)), max(xyzDIC(:,1))];
limY_DIC = [min(xyzDIC(:,2)), max(xyzDIC(:,2))];
ptCloudDIC = pointCloud(xyzDIC);


% Showing the DIC map
scale_v = 1/30; % Z-axis scale
figure
pcshow(ptCloudDIC, 'MarkerSize', 70)
daspect([max(daspect)*[1 1] scale_v]) 
c1 = colorbar;
c1.Label.String = 'uY [mm]';
xlabel('X [mm]');
ylabel('Y [mm]');
title('DIC Results')
view(0,90)