function [] = show2Mats(Mat1, Mat2, col1, col2, Zscale)
% Show two point clouds on the same figure with two different constant 
% colors
% INPUT
% Mat1:   matrix with the 3D coordinates of the first point cloud
% Mat2:   matrix with the 3D coordinates of the second point cloud
% col1:   color (vector of RGB values, with values from 0 to 1) 
%         associated with the first point cloud. 
% col2:   color (vector of RGB values, with values from 0 to 1) 
%         associated with the second point
%         cloud.
% Zscale: Z-axis scale

pointscolorMat1(1:size(Mat1,1),1) = col1(1);
pointscolorMat1(1:size(Mat1,1),2) = col1(2);
pointscolorMat1(1:size(Mat1,1),3) = col1(3);
ptCloudMat1 = pointCloud(Mat1,'Color',pointscolorMat1);
pcshow(ptCloudMat1, 'MarkerSize', 20)
daspect([max(daspect)*[1 1] Zscale]) 
xlabel('X [mm]');
ylabel('Y [mm]');
hold on

pointscolorMat2(1:size(Mat2,1),1) = col2(1);
pointscolorMat2(1:size(Mat2,1),2) = col2(2);
pointscolorMat2(1:size(Mat2,1),3) = col2(3);
ptCloudMat2 = pointCloud(Mat2,'Color',pointscolorMat2);
pcshow(ptCloudMat2, 'MarkerSize', 20);
daspect([max(daspect)*[1 1] Zscale]) 
xlabel('X [mm]');
ylabel('Y [mm]');


end